Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.util
Class CharacterEncodingFilter

    java.lang.Object
      com.jaspersoft.jasperserver.war.util.CharacterEncodingFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class CharacterEncodingFilter

extends java.lang.Object
implements javax.servlet.Filter

Version:
  $Id: CharacterEncodingFilter.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`protected static class` | `CharacterEncodingFilter.CharsetEncodingResponseWrapper`

Constructor Summary
`CharacterEncodingFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`protected java.lang.String` | `getEncoding()`
`CharacterEncodingProvider` | `getEncodingProvider()`
`java.lang.String` | `getEncodingRequestAttrName()`
`protected boolean` | `hasEncoding(javax.servlet.ServletRequest request)`
`void` | `init(javax.servlet.FilterConfig arg0)`
`protected void` | `setEncoding(javax.servlet.ServletRequest request, java.lang.String encoding)`
`void` | `setEncodingProvider(CharacterEncodingProvider encodingProvider)`
`void` | `setEncodingRequestAttrName(java.lang.String filteredReqAttrName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharacterEncodingFilter

    public CharacterEncodingFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig arg0)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### setEncoding

    protected void setEncoding(javax.servlet.ServletRequest request,
                               java.lang.String encoding)

### hasEncoding

    protected boolean hasEncoding(javax.servlet.ServletRequest request)

### getEncoding

    protected java.lang.String getEncoding()

### getEncodingProvider

    public CharacterEncodingProvider getEncodingProvider()

### setEncodingProvider

    public void setEncodingProvider(CharacterEncodingProvider encodingProvider)

### getEncodingRequestAttrName

    public java.lang.String getEncodingRequestAttrName()

### setEncodingRequestAttrName

    public void setEncodingRequestAttrName(java.lang.String filteredReqAttrName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.